- NAME
- SYNOPSIS
- DESCRIPTION
- SETUP

# NAME

RT::ExternalStorage::Dropbox - Store files in the Dropbox cloud

# SYNOPSIS

        Set(%ExternalStorage,
            Type => 'Dropbox',
            AccessToken => '...',
        );

# DESCRIPTION

This storage option places attachments in the Dropbox shared file service. The files are de-duplicated when they are saved; as such, if the same file appears in multiple transactions, only one copy will be stored in Dropbox.

Files in Dropbox must not be modified or removed; doing so may cause internal inconsistency. It is also important to ensure that the Dropbox account used has sufficient space for the attachments, and to monitor its space usage.

# SETUP

In order to use this storage type, a new application must be registered with Dropbox:

1. Log into Dropbox as the user you wish to store files as.

2. Click `Create app` on https://www.dropbox.com/developers/apps

3. Choose Dropbox API app as the type of app.

4. Choose Yes, your application only needs access to files it creates.

5. Enter a descriptive name -- `Request Tracker files` is fine.

6. Under `Generated access token`, click the `Generate` button.

7. Copy the provided value into your RT_SiteConfig.pm file as the `AccessToken`:

           Set(%ExternalStorage,
               Type => 'Dropbox',
               AccessToken => '...',   # Replace the value here, between the quotes
           );

← Back to index